<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@+id/start"
        motion:duration="350">

        <OnClick
            motion:clickAction="toggle"
            motion:targetId="@id/cl_top_img_box" />

        <OnSwipe
            motion:dragDirection="dragUp"
            motion:touchAnchorId="@id/view_pager" />

    </Transition>

    <ConstraintSet android:id="@+id/start">

        <Constraint
            android:id="@id/cl_top_img_box"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/ll_gallery_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_marginBottom="@dimen/d_10dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="@id/cl_top_img_box"
            motion:layout_constraintRight_toRightOf="@id/cl_top_img_box" />

        <Constraint
            android:id="@id/status_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:alpha="0"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/back_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_40dp"
            motion:layout_constraintTop_toBottomOf="@id/status_view" />

        <Constraint
            android:id="@id/tv_job_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_15dp"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/back_layout">
            <CustomAttribute
                motion:attributeName="textSize"
                motion:customFloatValue="20" />
        </Constraint>

        <Constraint
            android:id="@id/tv_job_employer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:alpha="1"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tv_job_title" />

        <Constraint
            android:id="@id/tv_job_hour"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:alpha="1"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tv_job_employer" />

        <Constraint
            android:id="@id/tv_job_industry"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:alpha="1"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tv_job_hour" />

        <Constraint
            android:id="@id/tab_layout_box"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_40dp"
            motion:layout_constraintTop_toBottomOf="@id/cl_top_img_box" />

        <Constraint
            android:id="@id/view_pager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tab_layout_box" />

    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">

        <Constraint
            android:id="@id/cl_top_img_box"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="@id/back_layout"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/ll_gallery_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_marginBottom="@dimen/d_10dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="@id/cl_top_img_box"
            motion:layout_constraintRight_toRightOf="@id/cl_top_img_box" />

        <Constraint
            android:id="@id/status_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:alpha="0"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/back_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_40dp"
            motion:layout_constraintTop_toBottomOf="@id/status_view" />

        <Constraint
            android:id="@id/tv_job_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_50dp"
            android:layout_marginTop="0dp"
            android:layout_marginRight="@dimen/d_50dp"
            motion:layout_constraintBottom_toBottomOf="@id/back_layout"
            motion:layout_constraintLeft_toLeftOf="@id/back_layout"
            motion:layout_constraintRight_toRightOf="@id/back_layout"
            motion:layout_constraintTop_toTopOf="@id/back_layout">
            <CustomAttribute
                motion:attributeName="textSize"
                motion:customFloatValue="20" />
        </Constraint>

        <Constraint
            android:id="@id/tv_job_employer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_11dp"
            android:alpha="0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/back_layout" />

        <Constraint
            android:id="@id/tv_job_hour"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_11dp"
            android:alpha="0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tv_job_employer" />

        <Constraint
            android:id="@id/tv_job_industry"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:alpha="0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tv_job_hour" />

        <Constraint
            android:id="@id/tab_layout_box"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_40dp"
            motion:layout_constraintTop_toBottomOf="@id/back_layout" />

        <Constraint
            android:id="@id/view_pager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/tab_layout_box" />

    </ConstraintSet>

</MotionScene>